Subject: Re: File reading problem with -mno-cygwin
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Wed, 04 Sep 2002 12:40:46 -0700

Andrew DeFaria wrote:

> [email-masked] wrote:
>
>> As Corinna mentioned, opening the file in binary mode would eliminate 
>> the problem.
>>
>> The data file "sf" actually contains a byte 0x1A that is interpreted 
>> in text mode on DOS / Windows
>> systems as end-of-file.
>>
>> In binary mode, this won't be interpreted as end-of-file.
>
> Thanks. Actually I figured this out about 1 - 2 hours after I posted. 
> I still have some other problems in my process but this one that I 
> isolated has been resolved.

One question remains however and that is why would it work in Cygwin but 
not in -mno-cygwin? My theory is that opening a file with "r" under 
Cygwin is equivalent to "rb".

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/